Bug 1650526 - fence_hpblade.py fails with "TypeError: log_expect() takes exactly 3 arguments (4 given)"
Summary: fence_hpblade.py fails with "TypeError: log_expect() takes exactly 3 argument...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Oyvind Albrigtsen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1652115 1654616
TreeView+ depends on / blocked
 
Reported: 2018-11-16 12:10 UTC by Miguel Martin
Modified: 2019-08-06 12:35 UTC (History)
5 users (show)

Fixed In Version: fence-agents-4.2.1-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Previously, the fence_hpblade utility terminated unexpectedly with the following error message: "TypeError: log_expect() takes exactly 3 arguments (4 given)". With this update, the problem has been fixed.
Clone Of:
: 1652115 1654616 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3706621 None None None 2018-11-20 16:33:24 UTC
Red Hat Product Errata RHSA-2019:2037 None None None 2019-08-06 12:35:15 UTC

Description Miguel Martin 2018-11-16 12:10:12 UTC
Description of problem:

fence_hpblade.py fails with "TypeError: log_expect() takes exactly 3 arguments (4 given)"

Version-Release number of selected component (if applicable):
fence-agents-hpblade-4.2.1-11.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Invoke the command adapting the parameters to your environment
~~~
fence_hpblade -v -x -a c7000.example.com -l user -p password --plug=6
~~~

Actual results:
The command fails with:
~~~
Traceback (most recent call last):
  File "/usr/sbin/fence_hpblade", line 134, in <module>
    main()
  File "/usr/sbin/fence_hpblade", line 127, in main
    options["enc_type"] = get_enclosure_type(conn, options)
  File "/usr/sbin/fence_hpblade", line 19, in get_enclosure_type
    conn.log_expect(options, options["--command-prompt"], int(options["--shell-timeout"]))
TypeError: log_expect() takes exactly 3 arguments (4 given)
~~~

Expected results:
The command is executed correctly.

Additional info:
According to commit ea652f979107bd9f5d7eef00f2652dff07224499, 'log_expect' was refactored but the call within fence_hpblade was not updated. I subitted a PR upstream

Comment 2 Oyvind Albrigtsen 2018-11-20 09:43:13 UTC
https://github.com/ClusterLabs/fence-agents/pull/250

Comment 7 errata-xmlrpc 2019-08-06 12:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2037


Note You need to log in before you can comment on or make changes to this bug.